//
//  GettingAttentionViewController.m
//  GettingAttention
//
//  Created by John Ray on 7/10/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "GettingAttentionViewController.h"

@implementation GettingAttentionViewController

@synthesize userOutput;
@synthesize userInput;

-(IBAction)doAlert:(id)sender {
    UIAlertView *alertDialog;
	
	alertDialog = [[UIAlertView alloc] 
                   initWithTitle: @"Alert Button Selected" 
                   message:@"I need your attention NOW!" 
                   delegate: nil 
                   cancelButtonTitle: @"Ok"
                   otherButtonTitles: nil];
    
	[alertDialog show];
	[alertDialog release];
}

-(IBAction)doMultiButtonAlert:(id)sender {
    UIAlertView *alertDialog;
	
    alertDialog = [[UIAlertView alloc] 
                   initWithTitle: @"Alert Button Selected"
                   message:@"I need your attention NOW!" 
                   delegate: self 
                   cancelButtonTitle: @"Ok" 
                   otherButtonTitles: @"Maybe Later", @"Never", nil]; 
    
	[alertDialog show];
	[alertDialog release];
}

-(IBAction)doAlertInput:(id)sender {
    UIAlertView *alertDialog;
	
	alertDialog = [[UIAlertView alloc] 
                   initWithTitle: @"Please Enter Your Email Address!" 
                   message:@"You won't see me" 
                   delegate: self 
                   cancelButtonTitle: @"Ok"
                   otherButtonTitles: nil];
    
    userInput=[[UITextField alloc] initWithFrame:
               CGRectMake(12.0, 70.0, 260.0, 25.0)];
    
    [userInput setBackgroundColor:[UIColor whiteColor]];
    
    [alertDialog addSubview:userInput];
	[alertDialog show];
	[alertDialog release];
}

-(IBAction)doActionSheet:(id)sender {
    UIActionSheet *actionSheet;
	actionSheet=[[UIActionSheet alloc] initWithTitle:@"Available Actions"
											delegate:self 
								   cancelButtonTitle:@"Cancel" 
							  destructiveButtonTitle:@"Destroy"
								   otherButtonTitles:@"Negotiate",@"Compromise",nil];
	actionSheet.actionSheetStyle=UIBarStyleBlackTranslucent;
	[actionSheet showInView:self.view];
}

-(IBAction)doSound:(id)sender {
    SystemSoundID soundID;
    NSString *soundFile = [[NSBundle mainBundle] 
						   pathForResource:@"soundeffect" ofType:@"wav"];
    
    AudioServicesCreateSystemSoundID((CFURLRef)
									 [NSURL fileURLWithPath:soundFile]
									 , &soundID);
    AudioServicesPlaySystemSound(soundID); 
	[soundFile release];
}

-(IBAction)doAlertSound:(id)sender {
    SystemSoundID soundID;
    NSString *soundFile = [[NSBundle mainBundle] 
						   pathForResource:@"alertsound" ofType:@"wav"];
    
    AudioServicesCreateSystemSoundID((CFURLRef)
									 [NSURL fileURLWithPath:soundFile]
									 , &soundID);
    AudioServicesPlayAlertSound(soundID);  
    [soundFile release];
}

-(IBAction)doVibration:(id)sender {
    AudioServicesPlaySystemSound (kSystemSoundID_Vibrate);
}

- (void)alertView:(UIAlertView *)alertView
clickedButtonAtIndex:(NSInteger)buttonIndex {
	NSString *buttonTitle=[alertView buttonTitleAtIndex:buttonIndex];
	if ([buttonTitle isEqualToString:@"Maybe Later"]) {
		userOutput.text=@"Clicked 'Maybe Later'";
    } else if ([buttonTitle isEqualToString:@"Never"]) {
		userOutput.text=@"Clicked 'Never'";
	} else {
		userOutput.text=@"Clicked 'Ok'";
	}
    
    if ([alertView.title 
         isEqualToString: @"Please Enter Your Email Address!"]) { 
        userOutput.text=userInput.text;
    }
}

- (void)actionSheet:(UIActionSheet *)actionSheet
clickedButtonAtIndex:(NSInteger)buttonIndex {
	NSString *buttonTitle=[actionSheet buttonTitleAtIndex:buttonIndex];
	if ([buttonTitle isEqualToString:@"Destroy"]) {
		userOutput.text=@"Clicked 'Destroy'";
	} else if ([buttonTitle isEqualToString:@"Negotiate"]) {
		userOutput.text=@"Clicked 'Negotiate'";
	} else if ([buttonTitle isEqualToString:@"Compromise"]) {
		userOutput.text=@"Clicked 'Compromise'";
	} else {
		userOutput.text=@"Clicked 'Cancel'";
	}
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [userOutput release];
    [userInput release];
    [super dealloc];
}

@end
