//
//  MatchPickerViewController.m
//  MatchPicker
//
//  Created by John Ray on 6/21/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#define componentCount 2
#define animalComponent 0
#define soundComponent 1

#import "MatchPickerViewController.h"

@implementation MatchPickerViewController

@synthesize lastAction;
@synthesize matchResult;

- (NSInteger)numberOfComponentsInPickerView:(UIPickerView *)pickerView {
	return componentCount;
}

- (NSInteger)pickerView:(UIPickerView *)pickerView 
numberOfRowsInComponent:(NSInteger)component {
	if (component==animalComponent) {
		return [animalNames count];
	} else {
		return [animalSounds count];
	}
}



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	animalNames=[[NSArray alloc]initWithObjects:
				 @"Mouse",@"Goose",@"Cat",@"Dog",@"Snake",@"Bear",@"Pig",nil];
	animalSounds=[[NSArray alloc]initWithObjects:
				  @"Oink",@"Rawr",@"Ssss",@"Roof",@"Meow",@"Honk",@"Squeak",nil];
	animalImages=[[NSArray alloc]initWithObjects:
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"mouse.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"goose.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"cat.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"dog.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"snake.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"bear.png"]],
                  [[UIImageView alloc] initWithImage:[UIImage imageNamed:@"pig.png"]],
                  nil
				  ];
    [super viewDidLoad];
}




/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (UIView *)pickerView:(UIPickerView *)pickerView viewForRow:(NSInteger)row 
		  forComponent:(NSInteger)component reusingView:(UIView *)view {
	if (component==animalComponent) {
		return [animalImages objectAtIndex:row];
	} else {
		UILabel *soundLabel;
		soundLabel=[[UILabel alloc] initWithFrame:CGRectMake(0,0,100,32)];
		[soundLabel autorelease];
		soundLabel.backgroundColor=[UIColor clearColor];
		soundLabel.text=[animalSounds objectAtIndex:row];
		return soundLabel;
	}
}



- (CGFloat)pickerView:(UIPickerView *)pickerView 
rowHeightForComponent:(NSInteger)component {
	return 55.0;
}

- (CGFloat)pickerView:(UIPickerView *)pickerView widthForComponent:(NSInteger)component {
	if (component==animalComponent) {
		return 75.0;
	} else {
		return 150.0;
	}
}

- (void)pickerView:(UIPickerView *)pickerView didSelectRow:(NSInteger)row 
	   inComponent:(NSInteger)component {
	NSString *actionMessage;
	NSString *matchMessage;
	int selectedAnimal;
	int selectedSound;
	int matchedSound;
	
	if (component==animalComponent) {
		actionMessage=[[NSString alloc] 
					   initWithFormat:@"You selected the animal named '%@'",
                       [animalNames objectAtIndex:row]];
	} else {
		actionMessage=[[NSString alloc] 
					   initWithFormat:@"You selected the animal sound '%@'",
					   [animalSounds objectAtIndex:row]];
	}
	
	selectedAnimal=[pickerView selectedRowInComponent:animalComponent];
	selectedSound=[pickerView selectedRowInComponent:soundComponent];
	
	matchedSound=([animalSounds count]-1)-
    [pickerView selectedRowInComponent:soundComponent];
	
	if (selectedAnimal==matchedSound) {
		matchMessage=[[NSString alloc] initWithFormat:@"Yes, a %@ does go '%@'!",
                      [animalNames objectAtIndex:selectedAnimal],
                      [animalSounds objectAtIndex:selectedSound]];
	} else {
		matchMessage=[[NSString alloc] initWithFormat:@"No, a %@ doesn't go '%@'!",
                      [animalNames objectAtIndex:selectedAnimal],
                      [animalSounds objectAtIndex:selectedSound]];
	}
	
	lastAction.text=actionMessage;
	matchResult.text=matchMessage;
	
	[matchMessage release];
	[actionMessage release];
    
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[animalNames release];
	[animalSounds release];
	[animalImages release];
	[lastAction release];
	[matchResult release];
    [super dealloc];
}

@end
