//
//  MultipleViewsViewController.m
//  MultipleViews
//
//  Created by John Ray on 9/19/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "MultipleViewsViewController.h"
#import "FirstViewController.h"
#import "SecondViewController.h"
#import "ThirdViewController.h"

@implementation MultipleViewsViewController

@synthesize firstViewController;
@synthesize secondViewController;
@synthesize thirdViewController;


-(IBAction) loadSecondView:(id)sender {
	[self clearView];
	[self.view insertSubview:secondViewController.view atIndex:0];
	
}

-(IBAction) loadThirdView:(id)sender {
	[self clearView];
	[self.view insertSubview:thirdViewController.view atIndex:0];
}

-(IBAction) loadFirstView:(id)sender {
	[self clearView];
	[self.view insertSubview:firstViewController.view atIndex:0];
}

-(void) clearView {
	if (firstViewController.view.superview) {
		[firstViewController.view removeFromSuperview];
	} else if (secondViewController.view.superview) {
		[secondViewController.view removeFromSuperview];
	} else {
		[thirdViewController.view removeFromSuperview];
	}
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/


- (void)viewDidLoad {
	[self loadFirstView:nil];
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[firstViewController release];
	[secondViewController release];
	[thirdViewController release];
    [super dealloc];
}

@end
