//
//  AreaViewController.m
//  TabbedConversion
//
//  Created by John Ray on 5/15/09.
//  Copyright Poisontooth Enterprises 2009. All rights reserved.
//

#import "AreaViewController.h"

#define Pi 3.1415926

@implementation AreaViewController

@synthesize rectWidth;
@synthesize rectLength;
@synthesize rectResult;
@synthesize circleRadius;
@synthesize circleResult;

-(IBAction)calculate:(id)sender {
	float floatRectResult=[rectWidth.text floatValue]*
			[rectLength.text floatValue];
	float floatCircleResult=[circleRadius.text floatValue]*
			[circleRadius.text floatValue]*Pi;
	NSString *stringRectResult=[[NSString alloc] 
								initWithFormat:@"%1.2f",floatRectResult];
	NSString *stringCircleResult=[[NSString alloc]
								initWithFormat:@"%1.2f",floatCircleResult];
	rectResult.text=stringRectResult;
	circleResult.text=stringCircleResult;
	[stringRectResult release];
	[stringCircleResult release];
	
	[summaryViewController updateTotal];
}

-(IBAction)hideKeyboard:(id)sender {
	[rectWidth resignFirstResponder];
	[rectLength resignFirstResponder];
	[circleRadius resignFirstResponder];
}

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

/*
// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
}
*/

/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[rectWidth release];
	[rectLength release];
	[circleRadius release];
	[rectResult release];
	[circleResult release];
    [super dealloc];
}

@end
