//
//  FlowerColorTableViewController.m
//  FlowerColorTable
//
//  Created by John Ray on 9/19/10.
//  Copyright 2010 Poisontooth Enterprises. All rights reserved.
//

#define sectionCount 2
#define redSection 0
#define blueSection 1

#import "FlowerColorTableViewController.h"

@implementation FlowerColorTableViewController

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView 
{ 
	return sectionCount; 
} 

// Customize the number of rows in the table view. 
- (NSInteger)tableView:(UITableView *)tableView 
 numberOfRowsInSection:(NSInteger)section
{ 
	switch (section) {
		case redSection:
			return [redFlowers count];
		case blueSection:
			return [blueFlowers count];
		default:
			return 0;
	}
} 


- (NSString *)tableView:(UITableView *)tableView 
titleForHeaderInSection:(NSInteger)section {
    switch (section) {
        case redSection:
            return @"Red";
        case blueSection:
            return @"Blue";
        default:
            return @"Unknown";
    }
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView 
		 cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	static NSString *CellIdentifier = @"Cell";
	
	UITableViewCell *cell = (UITableViewCell*)[tableView 
                                               dequeueReusableCellWithIdentifier:CellIdentifier];
	if(cell == nil) 
	{
		cell = [[[UITableViewCell alloc] 
				 initWithFrame:CGRectZero 
				 reuseIdentifier:CellIdentifier] autorelease];
	}
	
	switch (indexPath.section) {
		case redSection:
			[[cell textLabel] 
			 setText:[redFlowers objectAtIndex:indexPath.row]];
			break;
		case blueSection:
			[[cell textLabel] 
			 setText:[blueFlowers objectAtIndex:indexPath.row]];
			break;
		default:
			[[cell textLabel] 
			 setText:@"Unknown"];
	}
	return cell;
}


- (void)tableView:(UITableView *)tableView 
didSelectRowAtIndexPath:(NSIndexPath *)indexPath {
	UIAlertView *showSelection;
	NSString	*flowerMessage;
	switch (indexPath.section) {
		case redSection:
			flowerMessage=[[NSString alloc] 
						   initWithFormat:
						   @"You chose the red flower - %@",
						   [redFlowers objectAtIndex: indexPath.row]];
			break;
		case blueSection:
			flowerMessage=[[NSString alloc] 
						   initWithFormat:
						   @"You chose the blue flower - %@",
						   [blueFlowers objectAtIndex: indexPath.row]];
			break;
		default:
			flowerMessage=[[NSString alloc] 
						   initWithFormat:
						   @"I have no idea what you chose!?"];
			break;
	}
	
	showSelection = [[UIAlertView alloc] 
					 initWithTitle: @"Flower Selected" 
					 message:flowerMessage 
					 delegate: nil 
					 cancelButtonTitle: @"Ok" 
					 otherButtonTitles: nil];
	[showSelection show];
	[showSelection release];
	[flowerMessage release];
}





/*
 // The designated initializer. Override to perform setup that is required before the view is loaded.
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
 if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
 // Custom initialization
 }
 return self;
 }
 */

/*
 // Implement loadView to create a view hierarchy programmatically, without using a nib.
 - (void)loadView {
 }
 */


// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
	redFlowers = [[NSMutableArray alloc] 
				  initWithObjects:@"Gerbera",@"Peony",@"Rose",@"Poppy",nil];
	blueFlowers = [[NSMutableArray alloc] 
				   initWithObjects:@"Hyacinth",@"Hydrangea",@"Sea Holly",@"Phlox",@"Iris",nil];
}



/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */


- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning]; // Releases the view if it doesn't have a superview
    // Release anything that's not essential, such as cached data
}


- (void)dealloc {
	[redFlowers release];
	[blueFlowers release];
    [super dealloc];
}

@end
