//
//  FlashlightViewController.m
//  Flashlight
//
//  Created by Sean Johnson on 5/20/09.
//  Copyright Snooty Monkey, LLC 2009. All rights reserved.
//

#import "FlashlightViewController.h"

@implementation FlashlightViewController

@synthesize lightSource;
@synthesize toggleSwitch;
@synthesize brightnessSlider;

-(IBAction) setLightSourceAlphaValue {
	
	NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
	[userDefaults setBool:toggleSwitch.on forKey:kOnOffToggle];
	[userDefaults setFloat:brightnessSlider.value forKey:kBrightnessLevel];
	[userDefaults synchronize];
	
	if (toggleSwitch.on) {
		lightSource.alpha = brightnessSlider.value;
	} else {
		lightSource.alpha = 0.0;
	}
}


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	
	NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
	
	brightnessSlider.value = [userDefaults floatForKey:kBrightnessLevel]; 
	toggleSwitch.on = [userDefaults boolForKey:kOnOffToggle]; 
	if ([userDefaults boolForKey: kOnOffToggle]) {
		lightSource.alpha = [userDefaults floatForKey:kBrightnessLevel];
	} else {
		lightSource.alpha = 0.0;
	}
    [super viewDidLoad];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[lightSource release];
	[toggleSwitch release];
	[brightnessSlider release];
    [super dealloc];
}

@end
