//
//  ReturnMeViewController.m
//  ReturnMe
//
//  Created by John E. Ray on 7/21/10.
//  Copyright John E. Ray 2010. All rights reserved.
//

#import "ReturnMeViewController.h"

@implementation ReturnMeViewController
@synthesize picture;
@synthesize name;
@synthesize email;
@synthesize phone;

- (NSDictionary *)initialDefaults {
    NSArray *keys = [[[NSArray alloc] initWithObjects:
                      kPicture, kName, kEmail, kPhone, nil] autorelease];
    NSArray *values = [[[NSArray alloc] initWithObjects:
                        @"Dog", @"Your Name", @"you@yours.com",
                        @"(555)555-1212", nil] autorelease];
    return [[[NSDictionary alloc] initWithObjects: values
										  forKeys: keys] autorelease];
}

-(void)setValuesFromPreferences {
    
    NSUserDefaults *userDefaults = [NSUserDefaults standardUserDefaults];
    [userDefaults registerDefaults: [self initialDefaults]];
    NSString *picturePreference = [userDefaults stringForKey:kPicture];
    if ([picturePreference isEqualToString:@"Dog"]) {
        picture.image = [UIImage imageNamed:@"dog1.png"];
    } else if ([picturePreference isEqualToString:@"Mean Dog"]) {
        picture.image = [UIImage imageNamed:@"dog2.png"];
    } else {
        picture.image = [UIImage imageNamed:@"coral.png"];
    }
    
    name.text = [userDefaults stringForKey:kName];
    email.text = [userDefaults stringForKey:kEmail];
    phone.text = [userDefaults stringForKey:kPhone];
    
}    

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	[self setValuesFromPreferences];
    [super viewDidLoad];
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[picture release];
    [name release];
    [email release];
    [phone release];
    [super dealloc];
}

@end
