//
//  OrientationViewController.m
//  Orientation
//
//  Created by John Ray on 7/14/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "OrientationViewController.h"

@implementation OrientationViewController

@synthesize orientationLabel;

/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

- (void)orientationChanged:(NSNotification *)notification {
    
    UIDeviceOrientation orientation;
    orientation = [[UIDevice currentDevice] orientation];
    
    switch (orientation) {
        case UIDeviceOrientationFaceUp:
            orientationLabel.text=@"Face Up";        
            break;
        case UIDeviceOrientationFaceDown:
            orientationLabel.text=@"Face Down";
            break;
        case UIDeviceOrientationPortrait:
            orientationLabel.text=@"Standing Up";
            break;
        case UIDeviceOrientationPortraitUpsideDown:
            orientationLabel.text=@"Upside Down";
            break;
        case UIDeviceOrientationLandscapeLeft:
            orientationLabel.text=@"Left Side";
            break;
        case UIDeviceOrientationLandscapeRight:
            orientationLabel.text=@"Right Side";
            break;
        default:
            orientationLabel.text=@"Unknown";
            break;
    }
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    
    [[UIDevice currentDevice]beginGeneratingDeviceOrientationNotifications];
    
    [[NSNotificationCenter defaultCenter] 
                    addObserver:self selector:@selector(orientationChanged:) 
                    name:@"UIDeviceOrientationDidChangeNotification" 
                    object:nil];
    
    [super viewDidLoad];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [orientationLabel release];
    [super dealloc];
}

@end
