//
//  CupertinoViewController.m
//  Cupertino
//
//  Created by John E. Ray on 7/17/10.
//  Copyright John E. Ray 2010. All rights reserved.
//

#import "CupertinoViewController.h"

#define kCupertinoLatitude  37.3229978
#define kCupertinoLongitude -122.0321823

@implementation CupertinoViewController

@synthesize locMan;
@synthesize distanceLabel;
@synthesize distanceView;
@synthesize waitView;


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/

- (void)locationManager:(CLLocationManager *)manager
    didUpdateToLocation:(CLLocation *)newLocation
           fromLocation:(CLLocation *)oldLocation {
	
    if (newLocation.horizontalAccuracy >= 0) {
        
        CLLocation *Cupertino = [[[CLLocation alloc]
                                  initWithLatitude:kCupertinoLatitude
                                  longitude:kCupertinoLongitude] autorelease];
        CLLocationDistance delta = [Cupertino getDistanceFrom: newLocation];
        long miles = (delta * 0.000621371) + 0.5; // meters to rounded miles
        if (miles < 3) {
            // Congratulate the user
            distanceLabel.text = @"Enjoy the\nMothership!";
        } else {
            NSNumberFormatter *commaDelimited = [[[NSNumberFormatter alloc]
												  init] autorelease];
            [commaDelimited setNumberStyle:NSNumberFormatterDecimalStyle];
            distanceLabel.text = [NSString stringWithFormat:
                                  @"%@ miles to the\nMothership",
                                  [commaDelimited stringFromNumber:
								   [NSNumber numberWithLong:miles]]];
        }
        waitView.hidden = YES;
        distanceView.hidden = NO;
    }   
}


- (void)locationManager:(CLLocationManager *)manager
       didFailWithError:(NSError *)error {
	
    if (error.code == kCLErrorDenied) {
        // Turn off the location manager updates
        [manager stopUpdatingLocation];
        [locMan release];
        locMan = nil;
    }
    waitView.hidden = YES;
    distanceView.hidden = NO; 
}


- (void)viewDidLoad {
    [super viewDidLoad];
	
    locMan = [[CLLocationManager alloc] init];
    locMan.delegate = self;
    locMan.desiredAccuracy = kCLLocationAccuracyThreeKilometers;
    locMan.distanceFilter = 1609; // a mile 
    [locMan startUpdatingLocation];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[locMan release];
    [distanceLabel release];
    [distanceView release];
    [waitView release];	
    [super dealloc];
}

@end
