//
//  FieldButtonFunViewController.m
//  FieldButtonFun
//
//  Created by John Ray on 6/21/10.
//  Copyright Poisontooth Enterprises 2010. All rights reserved.
//

#import "FieldButtonFunViewController.h"

@implementation FieldButtonFunViewController

@synthesize thePlace;
@synthesize theVerb;
@synthesize theNumber;
@synthesize theStory;
@synthesize theTemplate;
@synthesize generateStory;

-(IBAction) createStory:(id)sender {
	theStory.text=[theTemplate.text 
                   stringByReplacingOccurrencesOfString:@"<place>" 
                   withString:thePlace.text];
	theStory.text=[theStory.text 
                   stringByReplacingOccurrencesOfString:@"<verb>" 
                   withString:theVerb.text];
	theStory.text=[theStory.text 
                   stringByReplacingOccurrencesOfString:@"<number>" 
                   withString:theNumber.text];
}

-(IBAction) hideKeyboard:(id)sender {
	[thePlace resignFirstResponder];
	[theVerb resignFirstResponder];
	[theNumber resignFirstResponder];
	[theTemplate resignFirstResponder];
}



/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if ((self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    UIImage *normalImage = [[UIImage imageNamed:@"whiteButton.png"] 
							stretchableImageWithLeftCapWidth:12.0 
							topCapHeight:0.0];
	[generateStory setBackgroundImage:normalImage forState:UIControlStateNormal];
	UIImage *pressedImage = [[UIImage imageNamed:@"blueButton.png"]
							 stretchableImageWithLeftCapWidth:12.0 
							 topCapHeight:0.0];
	[generateStory setBackgroundImage:pressedImage 
							 forState:UIControlStateHighlighted];
	    
    [super viewDidLoad];
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[thePlace release];
	[theVerb release];
	[theNumber release];
	[theStory release];
	[theTemplate release];
	[generateStory release];
    [super dealloc];
}

@end
